with GNATCOM.Dispinterface;

package MSHTML.IHTMLAreaElement_Object is

   type IHTMLAreaElement_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Put_shape
     (This : IHTMLAreaElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_shape
     (This : IHTMLAreaElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_coords
     (This : IHTMLAreaElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_coords
     (This : IHTMLAreaElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_href
     (This : IHTMLAreaElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_href
     (This : IHTMLAreaElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_target
     (This : IHTMLAreaElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_target
     (This : IHTMLAreaElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_alt
     (This : IHTMLAreaElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_alt
     (This : IHTMLAreaElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_noHref
     (This : IHTMLAreaElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_noHref
     (This : IHTMLAreaElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_host
     (This : IHTMLAreaElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_host
     (This : IHTMLAreaElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_hostname
     (This : IHTMLAreaElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_hostname
     (This : IHTMLAreaElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_pathname
     (This : IHTMLAreaElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_pathname
     (This : IHTMLAreaElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_port
     (This : IHTMLAreaElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_port
     (This : IHTMLAreaElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_protocol
     (This : IHTMLAreaElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_protocol
     (This : IHTMLAreaElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_search
     (This : IHTMLAreaElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_search
     (This : IHTMLAreaElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_hash
     (This : IHTMLAreaElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_hash
     (This : IHTMLAreaElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onblur
     (This : IHTMLAreaElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onblur
     (This : IHTMLAreaElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onfocus
     (This : IHTMLAreaElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onfocus
     (This : IHTMLAreaElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_tabIndex
     (This : IHTMLAreaElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_tabIndex
     (This : IHTMLAreaElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure focus
     (This : IHTMLAreaElement_Type);

   procedure blur
     (This : IHTMLAreaElement_Type);

end MSHTML.IHTMLAreaElement_Object;

